Bug 177468 - /boot gets mounted twice (as /boot and /media/disk-X)
Summary: /boot gets mounted twice (as /boot and /media/disk-X)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-10 21:52 UTC by Tom London
Modified: 2013-03-13 04:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 14:52:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom London 2006-01-10 21:52:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda2 on /boot type ext3 (rw)
none on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid2282) on /net type autofs (rw,fd=4,pgrp=2282,minproto=2,maxproto=4)
/dev/hda2 on /media/disk-3 type ext3 (rw,noexec,nosuid,nodev,sync)

Appears that /dev/hda2 is mounted twice!?

Version-Release number of selected component (if applicable):
hal-0.5.5.1.cvs20060109-2

How reproducible:
Always

Steps to Reproduce:
1. boot
2. 'mount'
3.
  

Additional info:

Comment 1 Tom London 2006-01-11 14:52:37 UTC
Latest selinux-policy-targeted (selinux-policy-targeted-2.1.8-3) seems to fix
this....closing.

I'm guessing the following confused hal:
----
type=PATH msg=audit(01/10/2006 07:18:22.011:13) : item=0
name=/media/disk/.created-by-hal flags=follow inode=2289300 dev=fd:00
mode=file,644 ouid=root ogid=root rdev=00:00
type=CWD msg=audit(01/10/2006 07:18:22.011:13) :  cwd=/
type=AVC_PATH msg=audit(01/10/2006 07:18:22.011:13) :
path=/media/disk/.created-by-hal
type=SYSCALL msg=audit(01/10/2006 07:18:22.011:13) : arch=i386
syscall=stat64 success=no exit=-13(Permission denied) a0=870f008
a1=bf9ee1b8 a2=25cff4 a3=870f5a8 items=1 pid=2512
auid=unknown(4294967295) uid=root gid=root euid=root suid=root
fsuid=root egid=root sgid=root fsgid=root comm=hal-system-stor
exe=/bin/bash
type=AVC msg=audit(01/10/2006 07:18:22.011:13) : avc:  denied  {
getattr } for pid=2512 comm=hal-system-stor name=.created-by-hal
dev=dm-0 ino=2289300 scontext=system_u:system_r:hald_t:s0
tcontext=system_u:object_r:mnt_t:s0 tclass=file
----


Note You need to log in before you can comment on or make changes to this bug.